#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gexiv2-0.16.0

- Next

  gnome-bluetooth-47.2

- Up
- Home

# Nautilus-50.1

## Introduction to Nautilus

The Nautilus package contains the GNOME file manager.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/nautilus/50/nautilus-50.1.tar.xz

- Download MD5 sum: 6ffc8e83c46f040f5340f75dc4cb6173

- Download size: 3.2 MB

- Estimated disk space required: 95 MB (with tests)

- Estimated build time: 0.4 SBU (with tests, both using parallelism=4)

### Nautilus Dependencies

#### Required

blueprint-compiler-0.20.4, gexiv2-0.16.0, libglycin-gtk4 from glycin-2.1.1, gnome-autoar-0.4.5, gnome-desktop-44.5, libadwaita-1.9.0, libportal-0.9.1, libseccomp-2.6.0, and tinysparql-3.11.1

#### Recommended

desktop-file-utils-0.28, GLib-2.88.0 (with GObject Introspection), gst-plugins-base-1.28.2, libcloudproviders-0.3.6, and localsearch-3.11.1 (required at runtime)

#### Optional (for generating documentation)

Gi-DocGen-2026.1

#### Recommended (Runtime)

adwaita-icon-theme-50.0 and Gvfs-1.60.0 (For hotplugging and device mounting to work)

## Installation of Nautilus

### Note

If you are upgrading from a previous version of this package, remove a conflicting file by running the following command as the `root` user:

    rm -fv /usr/lib/libnautilus-extension.so.4

Install Nautilus by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D selinux=disabled \
                ..                  &&

    ninja

If you have Gi-DocGen-2026.1 installed and you wish to generate and install the API documentation, issue the following commands:

    sed "/docdir =/s@\$@ / 'nautilus-50.1'@" -i ../meson.build &&
    meson configure -D docs=true &&
    ninja

To test the results, issue: ninja test. The tests need to be run in a graphical environment. One test is known to fail if localsearch-3.11.1 is not installed. One test is also known to timeout if the user running the tests has a large home directory.

Now, as the `root` user:

    ninja install

### Note

If you installed the package to your system using a “DESTDIR” method, `/usr/share/glib-2.0/schemas/gschemas.compiled` was not updated/created. Create (or update) the file using the following command as the `root` user:

    glib-compile-schemas /usr/share/glib-2.0/schemas

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D cloudproviders=false`: Use this switch if you do not have libcloudproviders-0.3.6 installed.

`-D tests=none`: Use this switch if you do not have localsearch-3.11.1 installed. But note that it would disable most tests in the test suite, and Nautilus would fail to start until you install localsearch-3.11.1.

## Contents

Installed Programs: nautilus and nautilus-autorun-software
Installed Library: libnautilus-extension.so
Installed Directories: /usr/{include,lib,share}/nautilus and /usr/share/doc/nautilus-50.1 (optional)

### Short Descriptions

nautilus | is the GNOME file manager
`libnautilus-extension.so` | supplies the functions needed by the file manager extensions

- Prev

  gexiv2-0.16.0

- Next

  gnome-bluetooth-47.2

- Up
- Home